searchNodes=[{"doc":"StringMatcher allows you to pass multiple regular expressions and a string and get values back.ExampleLet's say you have a text that is:Del 5 av 6. Shakespeare är mycket nöjd med sin senaste pjäs, Så tuktas en argbigga. Men av någon anledning uppskattas inte berättelsen om hur en stark kvinna förnedras av en man av kvinnorna i Shakespeares närhet. Originaltitel: Upstart Crow. Produktion: BBC 2017.First we would split the text into an array based on \\n and . so that we can loop over the long text, as our matches only returns the first match back.Then you would do:StringMatcher.new() |&gt; StringMatcher.add_regexp( ~r/Del\\s+(?&lt;episode_num&gt;[0-9]+?)\\s+av\\s+(?&lt;of_episodes&gt;[0-9]+?)/i, %{} ) |&gt; StringMatcher.add_regexp(~r/Originaltitel: (?&lt;original_title&gt;.*)\\./i, %{}) |&gt; StringMatcher.add_regexp( ~r/Produktion: (?&lt;production_company&gt;.*?) (?&lt;production_year&gt;[0-9]+)\\./i, %{} ) |&gt; StringMatcher.match_captures(string)This should return a tuple with a map. The map is returned value of the regular expressions. If no match is found you will receive {:error, &quot;no match&quot;}Please take a look at our tests to see a working variant of parsing the text above.","ref":"StringMatcher.html","title":"StringMatcher","type":"module"},{"doc":"Add a regexp to the list if its the correct format.Returns a list of regular expressions.Examplesiex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}) [{~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}}]","ref":"StringMatcher.html#add_regexp/3","title":"StringMatcher.add_regexp/3","type":"function"},{"doc":"Match a string to a regexp.Returns the values that are passed as the second argument.Examplesiex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}) |&gt; StringMatcher.match(&quot;Prison Break E01&quot;) {:error, &quot;no match&quot;} iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}) |&gt; StringMatcher.match_captures(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;episode_num&quot; =&gt; &quot;01&quot;, &quot;season_num&quot; =&gt; &quot;01&quot;}} iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}) |&gt; StringMatcher.match(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}}","ref":"StringMatcher.html#match/2","title":"StringMatcher.match/2","type":"function"},{"doc":"Match a string to a regexp.Returns either the values passed as the second argument otherwise it returns the captures.Examplesiex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}) |&gt; StringMatcher.match_captures(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;episode_num&quot; =&gt; &quot;01&quot;, &quot;season_num&quot; =&gt; &quot;01&quot;}} iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}) |&gt; StringMatcher.match_captures(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}}","ref":"StringMatcher.html#match_captures/2","title":"StringMatcher.match_captures/2","type":"function"},{"doc":"Create a new list for stringsReturns []Examplesiex&gt; StringMatcher.new() []","ref":"StringMatcher.html#new/0","title":"StringMatcher.new/0","type":"function"},{"doc":"StringMatcherThis library allows you to pass multiple regular expressions and a string and get values back.","ref":"readme.html","title":"StringMatcher","type":"extras"},{"doc":"Let's say you have a text that is:Del 5 av 6. Shakespeare är mycket nöjd med sin senaste pjäs, Så tuktas en argbigga. Men av någon anledning uppskattas inte berättelsen om hur en stark kvinna förnedras av en man av kvinnorna i Shakespeares närhet. Originaltitel: Upstart Crow. Produktion: BBC 2017.First we would split the text into an array based on \\n and . so that we can loop over the long text, as our matches only returns the first match back.Then you would do:StringMatcher.new() |&gt; StringMatcher.add_regexp(~r/Del\\s+(?&lt;episode_num&gt;[0-9]+?)\\s+av\\s+(?&lt;of_episodes&gt;[0-9]+?)/i, %{}) |&gt; StringMatcher.add_regexp(~r/Originaltitel:\\s+(?&lt;original_title&gt;.*?)/i, %{}) |&gt; StringMatcher.add_regexp(~r/Produktion:\\s+(?&lt;producer&gt;.*?) (?&lt;episode_num&gt;[0-9]+?)/i, %{}) |&gt; StringMatcher.match_captures(string)This should return a tuple with a map. The map is returned value of the regular expressions. If no match is found you will receive {:error, &quot;no match&quot;}","ref":"readme.html#example","title":"StringMatcher - Example","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding string_matcher to your list of dependencies in mix.exs:def deps do [ {:string_matcher, &quot;~&gt; 0.1.0&quot;} ] endDocumentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/string_matcher.","ref":"readme.html#installation","title":"StringMatcher - Installation","type":"extras"},{"doc":"Currently the tests are failing for some reason, the library is working though and is stable. It's used in production.","ref":"readme.html#tests","title":"StringMatcher - Tests","type":"extras"}]